Skip to content
GAMPEONCreate
New project

Change your privacy settings

PATCH
/v1/me/social-settings
curl --request PATCH \
--url https://api.gampeon.com/v1/me/social-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "friendRequests": "everyone", "showConnections": "public", "showOnline": true }'

Not available with access tokens.

Rate limit: 120 changes per hour per account.

Media typeapplication/json
object
friendRequests

Who can send you friend requests

string
Allowed values: everyone friends_of_friends nobody
showConnections

Who can see your friends and follows. Also decides whether you appear in other people’s lists

string
Allowed values: public friends private
showOnline

Your friends see when you are online (active on the website or in the launcher in the last 3 minutes). Nobody else sees it

boolean

Saved

Media typeapplication/json
object
friendRequests
required

Who can send you friend requests

string
Allowed values: everyone friends_of_friends nobody
showConnections
required

Who can see your friends and follows. Also decides whether you appear in other people’s lists

string
Allowed values: public friends private
showOnline
required

Your friends see when you are online (active on the website or in the launcher in the last 3 minutes). Nobody else sees it

boolean

Example

{
"friendRequests": "everyone",
"showConnections": "public"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, age_restricted

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Limit: 120 changes per hour per account. Error codes: rate_limited

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback